# OSGI Module

Provides access to the OSGI runtime.

## Method Overview

Method | Description
--- | ---
getBundle() | Get a bundle instance.
installBundle() | Install a bundle from a given location.

## Methods

### getBundle

org.osgi.framework.Bundle getBundle(java.lang.String name)

Get a bundle instance. If the bundle is registered in the OSGI runtime, the bundle instance is returned

Parameter | Type | Description
--- | --- | ---
name | java.lang.String | bundle symbolic name to look for

Returns:org.osgi.framework.Bundle ... bundle instance or `null`

### installBundle

org.osgi.framework.Bundle installBundle(java.lang.String url)

Install a bundle from a given location.

Parameter | Type | Description
--- | --- | ---
url | java.lang.String | install location URI

Returns:org.osgi.framework.Bundle ... bundle instance or null